#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <arpa/inet.h>
#include <string.h>

extern fd_set watching;

extern void ttyprintf(char *format, ...);
extern void fdprintf(int fd, char *format, ...);
extern void disconnect(int socket);
extern void shut_down(void);

void user_startup(void);
void greet(int fd, struct sockaddr_in *addr);
void process(int socket, int len, char *data);
